Package com.io7m.waxmill.machines

# Enum WXMOpenOption

java.lang.Object
java.lang.Enum<WXMOpenOption>
com.io7m.waxmill.machines.WXMOpenOption

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<WXMOpenOption>`, `java.lang.constant.Constable`

    public enum WXMOpenOption
    extends java.lang.Enum<WXMOpenOption>

Options used when opening files.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `NO_CACHE` | Do not use caching (O_DIRECT).
  `READ_ONLY` | The file is opened read-only.
  `SYNCHRONOUS` | Writes to the file are synchronous (O_SYNC).

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `externalName()` |
  `static WXMOpenOption` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static WXMOpenOption[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NO_CACHE

    public static final WXMOpenOption NO_CACHE
    Do not use caching (O_DIRECT).

  - ### SYNCHRONOUS

    public static final WXMOpenOption SYNCHRONOUS
    Writes to the file are synchronous (O_SYNC).

  - ### READ_ONLY

    public static final WXMOpenOption READ_ONLY
    The file is opened read-only.

- ## Method Details

  - ### values

    public static WXMOpenOption[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static WXMOpenOption valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### externalName

    public java.lang.String externalName()
    Returns:
      The external name of the option as it would appear on a BHyve command line